/* ==========================
   RADAR METEOLOS AISLADO
   ========================== */

.radar-card {
    background: rgba(255,255,255,0.88);
    border-radius:16px;
    overflow:hidden;
    box-shadow:0 10px 24px rgba(0,0,0,.15);
}


.radar-header {
    padding:12px;
    text-align:center;
    font-weight:800;
    font-size:1.2rem;
    color:#13212f;
    background:#f1f1f1;
}


/* IMPORTANTE PARA LEAFLET */
.radar-content {
    position:relative;
}


#radarMapa {
    height:400px;
    width:100%;
    position:relative;
}


/* NO TOCAR IMÁGENES DE LEAFLET */
#radarMapa .leaflet-tile {
    max-width:none !important;
    max-height:none !important;
}


#radarMapa img {
    filter:none !important;
}

.olost-marker {
    font-size: 28px;
    text-shadow: 1px 1px 3px white;
}

.radar-toolbar{
    display:flex;
    justify-content:center;
    gap:.5rem;
    flex-wrap:wrap;
}

.radar-toolbar .btn{
    border-radius:20px;
    min-width:90px;
}
.radar-toolbar .btn.activo {
    background-color:#0d6efd !important;
    color:white !important;
    border-color:#0d6efd !important;
    box-shadow:0 0 8px rgba(13,110,253,.6);
}

.llamp-marker{
    background:none;
    border:none;
    font-size:25px;
    filter:drop-shadow(0 0 6px yellow);
}